VerRsrc.VS_FIXEDFILEINFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: VerRsrc, class: VS_FIXEDFILEINFO

Package com.sun.jna.platform.win32

# Class VerRsrc.VS_FIXEDFILEINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.VerRsrc.VS_FIXEDFILEINFO

Direct Known Subclasses:
  `VerRsrc.VS_FIXEDFILEINFO.ByReference`

Enclosing interface:
  VerRsrc

@FieldOrder({"dwSignature","dwStrucVersion","dwFileVersionMS","dwFileVersionLS","dwProductVersionMS","dwProductVersionLS","dwFileFlagsMask","dwFileFlags","dwFileOS","dwFileType","dwFileSubtype","dwFileDateMS","dwFileDateLS"}) public static class VerRsrc.VS_FIXEDFILEINFO extends Structure
Contains version information for a file. This information is language and code page independent.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VerRsrc.VS_FIXEDFILEINFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `dwFileDateLS`
  The least significant 32 bits of the file's 64-bit binary creation date and time stamp.
  `WinDef.DWORD`
  `dwFileDateMS`
  The most significant 32 bits of the file's 64-bit binary creation date and time stamp.
  `WinDef.DWORD`
  `dwFileFlags`
  Contains a bitmask that specifies the Boolean attributes of the file.
  `WinDef.DWORD`
  `dwFileFlagsMask`
  Contains a bitmask that specifies the valid bits in dwFileFlags.
  `WinDef.DWORD`
  `dwFileOS`
  The operating system for which this file was designed.
  `WinDef.DWORD`
  `dwFileSubtype`
  The function of the file.
  `WinDef.DWORD`
  `dwFileType`
  The general type of file.
  `WinDef.DWORD`
  `dwFileVersionLS`
  The least significant 32 bits of the file's binary version number.
  `WinDef.DWORD`
  `dwFileVersionMS`
  The most significant 32 bits of the file's binary version number.
  `WinDef.DWORD`
  `dwProductVersionLS`
  The least significant 32 bits of the binary version number of the product with which this file was distributed.
  `WinDef.DWORD`
  `dwProductVersionMS`
  The most significant 32 bits of the binary version number of the product with which this file was distributed.
  `WinDef.DWORD`
  `dwSignature`
  Contains the value 0xFEEF04BD.
  `WinDef.DWORD`
  `dwStrucVersion`
  The binary version number of this structure.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VS_FIXEDFILEINFO()`
  `VS_FIXEDFILEINFO(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFileVersionBuild()`
  `int`
  `getFileVersionMajor()`
  `int`
  `getFileVersionMinor()`
  `int`
  `getFileVersionRevision()`
  `int`
  `getProductVersionBuild()`
  `int`
  `getProductVersionMajor()`
  `int`
  `getProductVersionMinor()`
  `int`
  `getProductVersionRevision()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwSignature

    public WinDef.DWORD dwSignature
    Contains the value 0xFEEF04BD. This is used with the szKey member of the VS_VERSIONINFO structure when searching a file for the VS_FIXEDFILEINFO structure.

  - ### dwStrucVersion

    public WinDef.DWORD dwStrucVersion
    The binary version number of this structure. The high-order word of this member contains the major version number, and the low-order word contains the minor version number.

  - ### dwFileVersionMS

    public WinDef.DWORD dwFileVersionMS
    The most significant 32 bits of the file's binary version number. This member is used with dwFileVersionLS to form a 64-bit value used for numeric comparisons.

  - ### dwFileVersionLS

    public WinDef.DWORD dwFileVersionLS
    The least significant 32 bits of the file's binary version number. This member is used with dwFileVersionMS to form a 64-bit value used for numeric comparisons.

  - ### dwProductVersionMS

    public WinDef.DWORD dwProductVersionMS
    The most significant 32 bits of the binary version number of the product with which this file was distributed. This member is used with dwProductVersionLS to form a 64-bit value used for numeric comparisons.

  - ### dwProductVersionLS

    public WinDef.DWORD dwProductVersionLS
    The least significant 32 bits of the binary version number of the product with which this file was distributed. This member is used with dwProductVersionMS to form a 64-bit value used for numeric comparisons.

  - ### dwFileFlagsMask

    public WinDef.DWORD dwFileFlagsMask
    Contains a bitmask that specifies the valid bits in dwFileFlags. A bit is valid only if it was defined when the file was created.

  - ### dwFileFlags

    public WinDef.DWORD dwFileFlags
    Contains a bitmask that specifies the Boolean attributes of the file. This member can include one or more of the following values.

  - ### dwFileOS

    public WinDef.DWORD dwFileOS
    The operating system for which this file was designed.

  - ### dwFileType

    public WinDef.DWORD dwFileType
    The general type of file.

  - ### dwFileSubtype

    public WinDef.DWORD dwFileSubtype
    The function of the file. The possible values depend on the value of dwFileType.

  - ### dwFileDateMS

    public WinDef.DWORD dwFileDateMS
    The most significant 32 bits of the file's 64-bit binary creation date and time stamp.

  - ### dwFileDateLS

    public WinDef.DWORD dwFileDateLS
    The least significant 32 bits of the file's 64-bit binary creation date and time stamp.

- ## Constructor Details

  - ### VS_FIXEDFILEINFO

    public VS_FIXEDFILEINFO()

  - ### VS_FIXEDFILEINFO

    public VS_FIXEDFILEINFO(Pointer memory)

- ## Method Details

  - ### getFileVersionMajor

    public int getFileVersionMajor()

  - ### getFileVersionMinor

    public int getFileVersionMinor()

  - ### getFileVersionRevision

    public int getFileVersionRevision()

  - ### getFileVersionBuild

    public int getFileVersionBuild()

  - ### getProductVersionMajor

    public int getProductVersionMajor()

  - ### getProductVersionMinor

    public int getProductVersionMinor()

  - ### getProductVersionRevision

    public int getProductVersionRevision()

  - ### getProductVersionBuild

    public int getProductVersionBuild()